Subject: Re: bug#65347: 29.1; Underscore in query replace prevents case-matching

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Aug 2023 17:50:32 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 19 Aug 2023 10:39:02 -0400
> 
> >> Personally (as a user) the functionality I'd prefer is the following:
> >> When the matched string does not have the same capitalization as the search
> >> pattern, I'd like Emacs to guess what should be the capitalization of
> >> the replacement and ask me to confirm its guess.
> > This already happens?  M-% shows you the replacement in the exact
> > capitalization it will insert, _after_ the guesswork.  And you are
> > already requested to confirm each replacement.  So what is missing?
> 
> When the guesswork is wrong I find it cumbersome to fix it.
> I'd like to be able to edit it right there and that the result
> is remembered for the next time the same capitalization is found.

If C-r is inconvenient, then I guess we need some minor variation of
the existing commands e and E?

And what do you mean by "remembered for the next time", when the only
difference is in letter-case?